#pragma once

//class TextActor;

class Damageable
{
public:
	Damageable(float newMaxHP);
	virtual ~Damageable();

	virtual void die() = 0;
	
	void addLifePoints(float healAmount);
	void setLifePoints(float lifePoints);
	void setLifePercentage(float lifePercentage);
	void setMaxLifePoints(float newMaxHP);

	float getLifePoints();
	float getLifePercentage();
	float getMaxLifePoints();

	//void updateHPString(Vector2 pos, Vector2 size);

protected:
	float healthPoints;
	float maxHP;

private:
	void deleteThisIfDead();

	//TextActor *printHP;

	//String getHPString();
};